Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryReturnKeywordRule

- groovy.org.codenarc.rule.unnecessary.UnnecessaryReturnKeywordRule

- In Groovy, the return keyword is often optional. If a statement is the last line in a method or closure then you do not need to have the return keyword.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority